package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ZkActivityInfo;
import com.ruoyi.common.core.mybatisplus.core.BaseMapperPlus;
import com.ruoyi.system.domain.bo.ActivityInfoBo;
import com.ruoyi.system.domain.bo.ZkActivityInfoBo2;
import com.ruoyi.system.domain.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 活动详情主体Mapper接口
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public interface ZkActivityInfoMapper extends BaseMapperPlus<ZkActivityInfo> {

    List<OrganizationalActivityInfoVo> queryListForTableDataForOrganizational(@Param("bo") ActivityInfoBo bo);

    Integer queryListForTableDataTotalForOrganizational(@Param("bo") ActivityInfoBo bo);

    List<SpecialActivityInfoVo> queryListForTableDataForSpecial(@Param("bo") ActivityInfoBo bo);

    Integer queryListForTableDataTotalForSpecial(@Param("bo") ActivityInfoBo bo);

    List<ZkActivityHostUserVo> getHostUserByDeptId(Long deptId);

    List<SpecialActivityCountVo> querySpecialActivityCount(Long pActivityId);

    List<ZkActivityInfoVo2> queryByZHCX(@Param("bo") ZkActivityInfoBo2 bo);
}
